# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/bluetooth/qcom,wcn7850-bt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm WCN7850 Bluetooth

maintainers:
  - Bartosz Golaszewski <brgl@bgdev.pl>
  - Balakrishna Godavarthi <quic_bgodavar@quicinc.com>
  - Rocky Liao <quic_rjliao@quicinc.com>

properties:
  compatible:
    enum:
      - qcom,wcn7850-bt

  enable-gpios:
    maxItems: 1
    deprecated: true

  swctrl-gpios:
    maxItems: 1
    description: gpio specifier is used to find status
                 of clock supply to SoC
    deprecated: true

  vddaon-supply:
    description: VDD_AON supply regulator handle

  vdddig-supply:
    description: VDD_DIG supply regulator handle
    deprecated: true

  vddio-supply:
    description: VDD_IO supply regulator handle
    deprecated: true

  vddrfa0p8-supply:
    description: VDD_RFA_0P8 supply regulator handle

  vddrfa1p2-supply:
    description: VDD_RFA_1P2 supply regulator handle

  vddrfa1p8-supply:
    description: VDD_RFA_1P8 supply regulator handle

  vddrfa1p9-supply:
    description: VDD_RFA_1P9 supply regulator handle
    deprecated: true

  vddrfacmn-supply:
    description: VDD_RFA_CMN supply regulator handle

  vddwlcx-supply:
    description: VDD_WLCX supply regulator handle

  vddwlmx-supply:
    description: VDD_WLMX supply regulator handle

required:
  - compatible
  - vddrfacmn-supply
  - vddaon-supply
  - vddwlcx-supply
  - vddwlmx-supply
  - vddrfa0p8-supply
  - vddrfa1p2-supply
  - vddrfa1p8-supply

allOf:
  - $ref: bluetooth-controller.yaml#
  - $ref: qcom,bluetooth-common.yaml
  - $ref: /schemas/serial/serial-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    serial {
        bluetooth {
            compatible = "qcom,wcn7850-bt";

            max-speed = <3200000>;
            vddaon-supply = <&vreg_pmu_aon_0p59>;
            vddrfa0p8-supply = <&vreg_pmu_rfa_0p8>;
            vddrfa1p2-supply = <&vreg_pmu_rfa_1p2>;
            vddrfa1p8-supply = <&vreg_pmu_rfa_1p8>;
            vddrfacmn-supply = <&vreg_pmu_rfa_cmn>;
            vddwlcx-supply = <&vreg_pmu_wlcx_0p8>;
            vddwlmx-supply = <&vreg_pmu_wlmx_0p85>;
        };
    };
